<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="ARGNS_COLOR" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:s1="http://www.sap.com/SBO/DIS" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="ARGNS_COLOR" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://www.sap.com/SBO/DIS">
      <s:element name="AddResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsColorParams" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateResponse">
        <s:complexType>
          <s:sequence />
        </s:complexType>
      </s:element>
      <s:element name="GetByParamsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsColor" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetListResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsColorsParams" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="InvokeMethodResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:InvokeParams" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RemoveResponse">
        <s:complexType>
          <s:sequence />
        </s:complexType>
      </s:element>
      <s:element name="ArgnsColor">
        <s:complexType>
          <s:all>
            <s:element minOccurs="0" name="Code" type="s:string" />
            <s:element minOccurs="0" name="Name" type="s:string" />
            <s:element minOccurs="0" name="DocEntry" type="s:long" />
            <s:element minOccurs="0" name="Canceled" type="s:string" />
            <s:element minOccurs="0" name="Object" type="s:string" />
            <s:element minOccurs="0" name="LogInst" type="s:long" />
            <s:element minOccurs="0" name="UserSign" type="s:long" />
            <s:element minOccurs="0" name="Transfered" type="s:string" />
            <s:element minOccurs="0" name="CreateDate" type="s:date" />
            <s:element minOccurs="0" name="CreateTime" type="s:time" />
            <s:element minOccurs="0" name="UpdateDate" type="s:date" />
            <s:element minOccurs="0" name="UpdateTime" type="s:time" />
            <s:element minOccurs="0" name="DataSource" type="s:string" />
            <s:element minOccurs="0" name="U_ColCode" type="s:string" />
            <s:element minOccurs="0" name="U_ColDesc" type="s:string" />
            <s:element minOccurs="0" name="U_Shade" type="s:string" />
            <s:element minOccurs="0" name="U_NRFCode" type="s:string" />
            <s:element minOccurs="0" name="U_Active" type="s:string" />
            <s:element minOccurs="0" name="U_Argb" type="s:string" />
            <s:element minOccurs="0" name="U_Pic" type="s:string" />
            <s:element minOccurs="0" name="U_Attrib1" type="s:string" />
            <s:element minOccurs="0" name="U_Attrib2" type="s:string" />
          </s:all>
        </s:complexType>
      </s:element>
      <s:element name="ArgnsColorParams">
        <s:complexType>
          <s:all>
            <s:element minOccurs="0" name="Code" type="s:string" />
          </s:all>
        </s:complexType>
      </s:element>
      <s:element name="ArgnsColorsParams">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="unbounded" name="ArgnsColorParams">
              <s:complexType>
                <s:all>
                  <s:element minOccurs="0" name="Code" type="s:string" />
                </s:all>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="InvokeParams">
        <s:complexType>
          <s:all>
            <s:element minOccurs="0" name="Value" type="s:string" />
          </s:all>
        </s:complexType>
      </s:element>
      <s:element name="MsgHeader">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="SessionID" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="ServiceName">
              <s:simpleType>
                <s:restriction base="s:string">
                  <s:enumeration value="ARGNS_COLOR" />
                </s:restriction>
              </s:simpleType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
    <s:schema elementFormDefault="qualified" targetNamespace="ARGNS_COLOR">
      <s:import namespace="http://www.sap.com/SBO/DIS" />
      <s:element name="Add">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsColor" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Update">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsColor" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetByParams">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsColorParams" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetList">
        <s:complexType>
          <s:sequence />
        </s:complexType>
      </s:element>
      <s:element name="InvokeMethod">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:InvokeParams" />
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsColor" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Remove">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsColorParams" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="AddSoapIn">
    <wsdl:part name="parameters" element="tns:Add" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="AddSoapOut">
    <wsdl:part name="parameters" element="s1:AddResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateSoapIn">
    <wsdl:part name="parameters" element="tns:Update" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="UpdateSoapOut">
    <wsdl:part name="parameters" element="s1:UpdateResponse" />
  </wsdl:message>
  <wsdl:message name="GetByParamsSoapIn">
    <wsdl:part name="parameters" element="tns:GetByParams" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="GetByParamsSoapOut">
    <wsdl:part name="parameters" element="s1:GetByParamsResponse" />
  </wsdl:message>
  <wsdl:message name="GetListSoapIn">
    <wsdl:part name="parameters" element="tns:GetList" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="GetListSoapOut">
    <wsdl:part name="parameters" element="s1:GetListResponse" />
  </wsdl:message>
  <wsdl:message name="InvokeMethodSoapIn">
    <wsdl:part name="parameters" element="tns:InvokeMethod" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="InvokeMethodSoapOut">
    <wsdl:part name="parameters" element="s1:InvokeMethodResponse" />
  </wsdl:message>
  <wsdl:message name="RemoveSoapIn">
    <wsdl:part name="parameters" element="tns:Remove" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="RemoveSoapOut">
    <wsdl:part name="parameters" element="s1:RemoveResponse" />
  </wsdl:message>
  <wsdl:portType name="ARGNS_COLORSoap">
    <wsdl:operation name="Add">
      <wsdl:input message="tns:AddSoapIn" />
      <wsdl:output message="tns:AddSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Update">
      <wsdl:input message="tns:UpdateSoapIn" />
      <wsdl:output message="tns:UpdateSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetByParams">
      <wsdl:input message="tns:GetByParamsSoapIn" />
      <wsdl:output message="tns:GetByParamsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetList">
      <wsdl:input message="tns:GetListSoapIn" />
      <wsdl:output message="tns:GetListSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="InvokeMethod">
      <wsdl:input message="tns:InvokeMethodSoapIn" />
      <wsdl:output message="tns:InvokeMethodSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Remove">
      <wsdl:input message="tns:RemoveSoapIn" />
      <wsdl:output message="tns:RemoveSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ARGNS_COLORSoap" type="tns:ARGNS_COLORSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="Add">
      <soap:operation soapAction="ARGNS_COLOR/Add" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:AddSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Update">
      <soap:operation soapAction="ARGNS_COLOR/Update" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:UpdateSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetByParams">
      <soap:operation soapAction="ARGNS_COLOR/GetByParams" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:GetByParamsSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetList">
      <soap:operation soapAction="ARGNS_COLOR/GetList" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:GetListSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="InvokeMethod">
      <soap:operation soapAction="ARGNS_COLOR/InvokeMethod" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:InvokeMethodSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Remove">
      <soap:operation soapAction="ARGNS_COLOR/Remove" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:RemoveSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="ARGNS_COLORSoap12" type="tns:ARGNS_COLORSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="Add">
      <soap12:operation soapAction="ARGNS_COLOR/Add" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:AddSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Update">
      <soap12:operation soapAction="ARGNS_COLOR/Update" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:UpdateSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetByParams">
      <soap12:operation soapAction="ARGNS_COLOR/GetByParams" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:GetByParamsSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetList">
      <soap12:operation soapAction="ARGNS_COLOR/GetList" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:GetListSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="InvokeMethod">
      <soap12:operation soapAction="ARGNS_COLOR/InvokeMethod" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:InvokeMethodSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Remove">
      <soap12:operation soapAction="ARGNS_COLOR/Remove" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:RemoveSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ARGNS_COLOR">
    <wsdl:port name="ARGNS_COLORSoap" binding="tns:ARGNS_COLORSoap">
      <soap:address location="http://localhost/B1WS/Service.asmx" />
    </wsdl:port>
    <wsdl:port name="ARGNS_COLORSoap12" binding="tns:ARGNS_COLORSoap12">
      <soap12:address location="http://localhost/B1WS/Service.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>